Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields | Static Protected Member Functions
Lucene::TermsHashPerThread Class Reference

`#include <TermsHashPerThread.h>`

Inheritance diagram for Lucene::TermsHashPerThread:

## Public Member Functions

| TermsHashPerThread (const DocInverterPerThreadPtr &docInverterPerThread, const TermsHashPtr &termsHash, const TermsHashPtr &nextTermsHash, const TermsHashPerThreadPtr &primaryPerThread)
virtual | ~TermsHashPerThread ()
virtual String | getClassName ()
boost::shared_ptr< TermsHashPerThread > | shared_from_this ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual InvertedDocConsumerPerFieldPtr | addField (const DocInverterPerFieldPtr &docInverterPerField, const FieldInfoPtr &fieldInfo)
virtual void | abort ()
void | morePostings ()
| perField calls this when it needs more postings
virtual void | startDocument ()
virtual DocWriterPtr | finishDocument ()
void | reset (bool recyclePostings)
| Clear all state.
Public Member Functions inherited from Lucene::InvertedDocConsumerPerThread
virtual | ~InvertedDocConsumerPerThread ()
boost::shared_ptr< InvertedDocConsumerPerThread > | shared_from_this ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::InvertedDocConsumerPerThread
static String | _getClassName ()

## Data Fields

DocInverterPerThreadWeakPtr | _docInverterPerThread
TermsHashWeakPtr | _termsHash
TermsHashPtr | nextTermsHash
TermsHashPerThreadWeakPtr | _primaryPerThread
TermsHashConsumerPerThreadPtr | consumer
TermsHashPerThreadPtr | nextPerThread
CharBlockPoolPtr | charPool
IntBlockPoolPtr | intPool
ByteBlockPoolPtr | bytePool
bool | primary
DocStatePtr | docState
Collection< RawPostingListPtr > | freePostings
int32_t | freePostingsCount

## Static Protected Member Functions

static bool | noNullPostings (Collection< RawPostingListPtr > postings, int32_t count, const String &details)

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ TermsHashPerThread()

Lucene::TermsHashPerThread::TermsHashPerThread | ( | const DocInverterPerThreadPtr & | docInverterPerThread,
|  | const TermsHashPtr & | termsHash,
|  | const TermsHashPtr & | nextTermsHash,
|  | const TermsHashPerThreadPtr & | primaryPerThread )

References nextTermsHash.

Referenced by _getClassName().

## ◆ ~TermsHashPerThread()

virtual Lucene::TermsHashPerThread::~TermsHashPerThread | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::TermsHashPerThread::_getClassName | ( |  | ) |

inline static

References TermsHashPerThread().

## ◆ abort()

virtual void Lucene::TermsHashPerThread::abort | ( |  | ) |

virtual

Implements Lucene::InvertedDocConsumerPerThread.

## ◆ addField()

virtual InvertedDocConsumerPerFieldPtr Lucene::TermsHashPerThread::addField | ( | const DocInverterPerFieldPtr & | docInverterPerField,
|  | const FieldInfoPtr & | fieldInfo )

virtual

Implements Lucene::InvertedDocConsumerPerThread.

## ◆ finishDocument()

virtual DocWriterPtr Lucene::TermsHashPerThread::finishDocument | ( |  | ) |

virtual

Implements Lucene::InvertedDocConsumerPerThread.

## ◆ getClassName()

virtual String Lucene::TermsHashPerThread::getClassName | ( |  | ) |

inline virtual

Reimplemented from Lucene::InvertedDocConsumerPerThread.

## ◆ initialize()

virtual void Lucene::TermsHashPerThread::initialize | ( |  | ) |

virtual

Called directly after instantiation to create objects that depend on this object being fully constructed.

Reimplemented from Lucene::LuceneObject.

## ◆ morePostings()

void Lucene::TermsHashPerThread::morePostings | ( |  | ) |

perField calls this when it needs more postings

## ◆ noNullPostings()

bool Lucene::TermsHashPerThread::noNullPostings | ( | Collection< RawPostingListPtr > | postings,
|  | int32_t | count,
|  | const String & | details )

static protected

## ◆ reset()

void Lucene::TermsHashPerThread::reset | ( | bool | recyclePostings | ) |

Clear all state.

## ◆ shared_from_this()

boost::shared_ptr< TermsHashPerThread > Lucene::TermsHashPerThread::shared_from_this | ( |  | ) |

inline

## ◆ startDocument()

virtual void Lucene::TermsHashPerThread::startDocument | ( |  | ) |

virtual

Implements Lucene::InvertedDocConsumerPerThread.

## Field Documentation

## ◆ _docInverterPerThread

DocInverterPerThreadWeakPtr Lucene::TermsHashPerThread::_docInverterPerThread

## ◆ _primaryPerThread

TermsHashPerThreadWeakPtr Lucene::TermsHashPerThread::_primaryPerThread

## ◆ _termsHash

TermsHashWeakPtr Lucene::TermsHashPerThread::_termsHash

## ◆ bytePool

ByteBlockPoolPtr Lucene::TermsHashPerThread::bytePool

## ◆ charPool

CharBlockPoolPtr Lucene::TermsHashPerThread::charPool

## ◆ consumer

TermsHashConsumerPerThreadPtr Lucene::TermsHashPerThread::consumer

## ◆ docState

DocStatePtr Lucene::TermsHashPerThread::docState

## ◆ freePostings

Collection<RawPostingListPtr> Lucene::TermsHashPerThread::freePostings

## ◆ freePostingsCount

int32_t Lucene::TermsHashPerThread::freePostingsCount

## ◆ intPool

IntBlockPoolPtr Lucene::TermsHashPerThread::intPool

## ◆ nextPerThread

TermsHashPerThreadPtr Lucene::TermsHashPerThread::nextPerThread

## ◆ nextTermsHash

TermsHashPtr Lucene::TermsHashPerThread::nextTermsHash

Referenced by TermsHashPerThread().

## ◆ primary

bool Lucene::TermsHashPerThread::primary

The documentation for this class was generated from the following file:

- TermsHashPerThread.h

clucene.sourceforge.net